Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xfree ebuild fails
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc
View previous topic :: View next topic  
Author Message
csbrown
n00b
n00b


Joined: 24 Oct 2002
Posts: 16
Location: Indianapolis, IN, USA

PostPosted: Thu Oct 24, 2002 3:00 pm    Post subject: xfree ebuild fails Reply with quote

Sparc64 (sun4u/Blade100). Gentoo 1.4rc1 ebuild of x11-base/xfree fails due to a compilation (parse) error. Are there other packages that must be installed first? I thought that emerge took care of any dependencies necessary. Thoughts?

Thanks,

Chad
Back to top
View user's profile Send private message
Kumba
Developer
Developer


Joined: 16 Jul 2002
Posts: 367
Location: Sigma 957

PostPosted: Fri Oct 25, 2002 8:20 am    Post subject: Reply with quote

I thought I heard XFree86 4.x doesn't work on UltraSparc machines yet, or something of that nature. I've also got a Blade 100, but it's mainly just a console system that does nothing but eat up electricity.

--Kumba
_________________
"The past tempts us, the present confuses us, the future frightens us. And our lives slip away, moment by moment, lost in that vast, terrible in-between."
--Emperor Turhan, Centauri Republic
Back to top
View user's profile Send private message
joshuapreston
n00b
n00b


Joined: 29 Oct 2002
Posts: 3
Location: Columbus, OH

PostPosted: Tue Oct 29, 2002 11:03 pm    Post subject: XFree86 works on UltraSparcs. Reply with quote

XFree86 4.x compiles fine and runs superbly.

You'll want to be sure you are emerging a version with David Miller's Sparc PCI Domains, which is included in version 4.2.1.

Code:

bash-2.05a$ X -version

XFree86 Version 4.2.1 / X Window System
(protocol Version 11, revision 0, vendor release 6600)
Release Date: 3 September 2002
        If the server is older than 6-12 months, or if your card is
        newer than the above date, look for a newer version before
        reporting problems.  (See http://www.XFree86.Org/)
Build Operating System: Linux 2.4.19 sparc64 [ELF]
Module Loader present


Code:

bash-2.05a$ uname -a
Linux sunblade100 2.4.19  sparc64 unknown


Be sure you are installing the correct version, and post perhaps a little more detail regarding your dillemma.
_________________
==================================
Unless you are the lead dog,
the view is the same.
-- Unknown
==================================

Joshua Preston
pdog4x4@yahoo.com
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on Sparc All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum